## org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets
Class ReferenceViewerComposite

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.TableViewerComposite
                          org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.ReferenceViewerComposite

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class ReferenceViewerComposite

extends TableViewerComposite

TODO Comment this class

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`ReferenceViewerComposite(org.eclipse.swt.widgets.Composite parent, java.lang.String[] columnNames, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory widgetFactory)` Constructor

Method Summary
`protected void` `createButtons(org.eclipse.swt.widgets.Composite parent)` Only create a Button used to select References.
`protected void` `hookButtonListeners()` Hook the listeners

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.TableViewerComposite

`addElement, addElement, addSelectionListener, createAddButton, createOtherButtons, createRemoveButton, createTable, createTableViewer, fireWidgetSelected, getAddButton, getColumnHeaders, getObjectManager, getOtherButtons, getRemoveButton, getSelection, getSelectionItem, getTable, getValue, getWidgetFactory, hookListeners, refresh, removeElement, removeSelectionListener, setAddListener, setColumnNames, setEditingDomain, setEnabled, setInput, setLabelProvider, setOtherButtons, setRemoveListener, updateSelectedItem`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceViewerComposite

    public ReferenceViewerComposite(org.eclipse.swt.widgets.Composite parent,
                                    java.lang.String[] columnNames,
                                    org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory widgetFactory)

  Constructor

  Parameters:
    `parent` -
    `columnNames` -
    `widgetFactory` -

Method Detail

### createButtons

    protected void createButtons(org.eclipse.swt.widgets.Composite parent)

  Only create a Button used to select References.

  Overrides:
    `createButtons` in class `TableViewerComposite`
  Parameters:
    `parent` - the parent Composite
  See Also:
    `TableViewerComposite.createButtons(org.eclipse.swt.widgets.Composite)`

### hookButtonListeners

    protected void hookButtonListeners()

  Description copied from class: `TableViewerComposite`
  Hook the listeners

  Overrides:
    `hookButtonListeners` in class `TableViewerComposite`
  See Also:
    `TableViewerComposite.hookButtonListeners()`

Copyright 2007 Anyware Technologies. All Rights Reserved.